Apple уведомила разработчиков мобильных приложений, что 1 июня все приложения, добавляемые в App Store, должны быть совместимы с IPv6. Некоторому количеству приложений, которые уже находятся в App Store, будет необходимо обновить код, чтобы поддерживать шестую версию интернет-протокола.

На сайте библиотеки для разработчиков Apple уже появилась инструкция, которая поможет им совершить необходимые обновления. Большую часть разработчиков нововведение не затронет, т. к. основная масса приложений использует системный API для работы в сети. Очевидно, что со своей стороны Apple сделает всё необходимое, чтобы системный фреймворк поддерживал ее собственные требования.

C 1 июня в силу вступит еще одно требование: все разработчики приложений для Apple Watch должны будут использовать нативные watchOS 2 WatchKit API.

Версия для печати (без изображений)